import turtle
import random

# function:    block
# input:       x & y position (integers), color (integer) and window flag (boolean)
# processing:  creates a block at the specified location with the specified color
#              and the windows (if set)
# output:      returns nothing
def block(x, y, color, windows):

    # pick up the pen and move to the spot in question
    turtle.penup()
    turtle.goto(x, y)
    turtle.pendown()

    # face right to ensure we are drawing from the correct starting point
    turtle.setheading(0)

    # fill using the color - this will create a greyscale color
    turtle.fillcolor(color, color, color)
    turtle.begin_fill()

    # draw a box
    for i in range(4):
        turtle.forward(50)
        turtle.right(90)
    turtle.end_fill()

    # if we want to draw windows we can do so here
    if windows:
        turtle.fillcolor(1,1,1)
        turtle.penup()
        turtle.goto(x+10, y-10)
        turtle.pendown()

        print(x+10, y-10)

        turtle.begin_fill()
        for i in range(2):
            turtle.forward(30)
            turtle.right(90)
            turtle.forward(10)
            turtle.right(90)
        turtle.end_fill()

# now draw a random skyline!

# where to start?
xpos = -200;
ypos = -200;

# how big is each blocK/
blocksize = 50

# how many buildings?
for building in range(5):

    # how many stories in this building?
    stories = random.randint(1, 10)

    # iterate over this range and draw our building here
    for story in range(stories):

        # should this block have windows?
        if (random.randint(1,2) == 1):
            windows = True
        else:
            windows = False

        # draw a block here
        block(xpos, ypos, random.random(), windows)

        # update ypos so we can go up for the next story
        ypos += blocksize

    # end of the loop!  reset ypos
    ypos = -200

    # also move our xpos over so we can draw the next building
    xpos += blocksize
